%define name gchempaint
%define version 0.3.0
%define release 1mdk

Summary: 	GNOME 2D chemical structure drawing tool
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%name-%{version}.tar.bz2
Patch:		%name.patch.bz2
URL: 		http://jean.brefort.free.fr/info/en/gcp
License: 	GPL
Group: 		Sciences/Chemistry
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libopenbabel-devel pkgconfig gettext libglade2.0_0-devel libgnomeprint2-2_0-devel libgnomeui2_0-devel libgcu0-devel
Requires: 	libbonobo2 libgcu0

%description
GChemPaint is a 2D chemical structures editor for the Gnome-2 desktop.  
GChemPaint is a multi-document application and will be a bonobo server so 
that some chemistry could be embedded in Gnome applications such as 
Gnumeric and Abiword.

%prep

%setup -q

%patch0 -p1

%configure --disable-rpath

%build
%make

%install
%makeinstall
#crappy fix for make install running scrollkeeper-update
rm -fr $RPM_BUILD_ROOT/var
%find_lang %name

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="gchempaint"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="GChemPaint"\
icon="chemistry_section.png"\
longtitle="GNOME 2D chemical structure drawing tool"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
scrollkeeper-update -p /usr/local/var/scrollkeeper -o /usr/local/share/omf/gchempaint

%postun
%clean_menus
scrollkeeper-update

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/%name/glade/*
%_datadir/gnome/*
%_datadir/oaf/*
%_datadir/omf/*
%_datadir/pixmaps/*.png
%_menudir/%name

%changelog
* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- from Austin Acton <aacton@yorku.ca> : 
	- bump version
	- patch for libgnomeprint2.2 problems
	- use find_lang macro
	- fix buildrequires
	- fix package owning some common directories (my bad)

* Tue Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
  - from Austin Acton <aacton@yorku.ca> :
	- initial package for Mandrake
